# Interface LinearAdTrackingEvents

A plain object representing all AdTrackingEvent objects for a linear ad's primary creative.

interface LinearAdTrackingEvents {
acceptInvitationLinear: AdTrackingEvent;
click: AdTrackingEvent;
closeLinear: AdTrackingEvent;
collapse: AdTrackingEvent;
complete: AdTrackingEvent;
creativeView: AdTrackingEvent;
exitFullscreen: AdTrackingEvent;
expand: AdTrackingEvent;
firstQuartile: AdTrackingEvent;
fullscreen: AdTrackingEvent;
midpoint: AdTrackingEvent;
mute: AdTrackingEvent;
pause: AdTrackingEvent;
progress: AdTrackingEvent;
resume: AdTrackingEvent;
rewind: AdTrackingEvent;
skip: AdTrackingEvent;
start: AdTrackingEvent;
thirdQuartile: AdTrackingEvent;
unmute: AdTrackingEvent;
}

#####
Index

### Properties

acceptInvitationLinear
click
closeLinear
collapse
complete
creativeView
exitFullscreen
expand
firstQuartile
fullscreen
midpoint
mute
pause
progress
resume
rewind
skip
start
thirdQuartile
unmute

## Properties

### acceptInvitationLinear

acceptInvitationLinear: AdTrackingEvent

### click

click: AdTrackingEvent

### closeLinear

closeLinear: AdTrackingEvent

### collapse

collapse: AdTrackingEvent

### complete

complete: AdTrackingEvent

### creativeView

creativeView: AdTrackingEvent

### exitFullscreen

exitFullscreen: AdTrackingEvent

### expand

expand: AdTrackingEvent

### firstQuartile

firstQuartile: AdTrackingEvent

### fullscreen

fullscreen: AdTrackingEvent

### midpoint

midpoint: AdTrackingEvent

### mute

mute: AdTrackingEvent

### pause

pause: AdTrackingEvent

### progress

progress: AdTrackingEvent

### resume

resume: AdTrackingEvent

### rewind

rewind: AdTrackingEvent

### skip

skip: AdTrackingEvent

### start

start: AdTrackingEvent

### thirdQuartile

thirdQuartile: AdTrackingEvent

### unmute

unmute: AdTrackingEvent